
package example.cairngorm.air.commands
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import example.cairngorm.air.business.CreateUserDelegate;
	import example.cairngorm.air.business.SQLStatementConfiguration;
	import example.cairngorm.air.events.CreateUserEvent;
	import example.cairngorm.air.model.UserAccountsModelLocator;
	import example.cairngorm.air.business.Services;
	import com.ericfeminella.aircairngorm.business.AIRServiceLocator;
	import com.ericfeminella.sql.SQLStatementHelper;
	import com.ericfeminella.sql.ISQLResponder;
	import flash.data.SQLResult;
	import flash.errors.SQLError;
	
	public final class CreateUserCommand implements ICommand, ISQLResponder
	{
		public function execute(event:CairngormEvent):void
		{
			var evt:CreateUserEvent = event as CreateUserEvent;
			var delegate:CreateUserDelegate = new CreateUserDelegate( this );
			
			var statement:String = SQLStatementHelper.create(SQLStatementConfiguration.INSERT, evt.vo.username, evt.vo.password);
			delegate.insert( statement );
			
			UserAccountsModelLocator.getInstance().resultMessage = AIRServiceLocator.getInstance().getSQLService(Services.RDBMS).getSQLStatement().text;
		}
		
		public function result(evt:SQLResult) : void
		{
			new SelectUsersCommand().execute( null );
		}
		
		public function fault(error:SQLError):void
		{
			UserAccountsModelLocator.getInstance().resultMessage = error.message;
		}
	}
}

