
package example.cairngorm.air.commands
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import example.cairngorm.air.business.DeleteUserDelegate;
	import example.cairngorm.air.business.SQLStatementConfiguration;
	import example.cairngorm.air.events.DeleteUserEvent;
	import example.cairngorm.air.model.UserAccountsModelLocator;
	import example.cairngorm.air.business.Services;
	import com.ericfeminella.aircairngorm.business.AIRServiceLocator;
	import com.ericfeminella.sql.SQLStatementHelper;
	import com.ericfeminella.sql.ISQLResponder;
	import flash.data.SQLResult;
	import flash.errors.SQLError;
	
	public final class DeleteUserCommand implements ICommand, ISQLResponder
	{
		public function execute(event:CairngormEvent):void
		{
			var evt:DeleteUserEvent = event as DeleteUserEvent;
			
			var delegate:DeleteUserDelegate = new DeleteUserDelegate( this );
			
			var statement:String = SQLStatementHelper.create( SQLStatementConfiguration.DELETE, evt.vo.username);
			delegate.Delete(statement);
			
			UserAccountsModelLocator.getInstance().resultMessage = AIRServiceLocator.getInstance().getSQLService(Services.RDBMS).getSQLStatement().text;
		}
		
		public function result(evt:SQLResult):void
		{
			new SelectUsersCommand().execute( null );
		}
		
		public function fault(error:SQLError):void
		{
			UserAccountsModelLocator.getInstance().resultMessage = error.message;
		}
	}
}