
package example.cairngorm.air.commands
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import example.cairngorm.air.business.SelectUsersDelegate;
	import example.cairngorm.air.business.SQLStatementConfiguration;
	import example.cairngorm.air.events.SelectUsersEvent;
	import example.cairngorm.air.model.UserAccountsModelLocator;
	import example.cairngorm.air.business.Services;
	import example.cairngorm.air.vo.UserVO;
	import com.ericfeminella.aircairngorm.business.AIRServiceLocator;
	import com.ericfeminella.sql.SQLStatementHelper;
	import com.ericfeminella.sql.ISQLResponder;
	import flash.data.SQLResult;
	import flash.errors.SQLError;
	import flash.errors.SQLErrorCode;
	
	public final class SelectUsersCommand implements ICommand, ISQLResponder
	{
		public function execute(event:CairngormEvent):void
		{	
			var delegate:SelectUsersDelegate = new SelectUsersDelegate( this );
			delegate.Select( SQLStatementHelper.create(SQLStatementConfiguration.SELECT), UserVO );
			
			UserAccountsModelLocator.getInstance().resultMessage = AIRServiceLocator.getInstance().getSQLService(Services.RDBMS).getSQLStatement().text;
		}
		
		public function result(evt:SQLResult):void
		{
			var model:UserAccountsModelLocator = UserAccountsModelLocator.getInstance();
			model.resultMessage = "OPERATION COMPLETED";
			model.users.source = null;
			
			var i:int = 0;
			var n:int = evt.data.length;
			
			for (i; i < n; i++) {
				var user:UserVO = evt.data[i];
				model.users.addItem( user );
			}
		}
		
		public function fault(error:SQLError):void
		{
			if (error.code == SQLErrorCode.OPERATION)
			{
				new CreateTableCommand().execute( new CairngormEvent("") );
			}
			UserAccountsModelLocator.getInstance().resultMessage = "Creating TABLE users...";
		}
	}
}

