/*
 Copyright (c) 2007 www.ericfeminella.com. All Rights Reserved

 AIR Cairngorm: version 1.1.4
 
 @author  Eric J. Feminella
 @contact eric@ericfeminella.com

 @internal
 */

package example.cairngorm.air.model
{
	import com.adobe.cairngorm.model.IModelLocator;
	import com.adobe.cairngorm.CairngormError;
    import com.adobe.cairngorm.CairngormMessageCodes;
    import mx.collections.ArrayCollection;
    import example.cairngorm.air.vo.UserVO;
    
    [Bindable]
	public class UserAccountsModelLocator implements IModelLocator
	{
		private static var instance:UserAccountsModelLocator;
        public var users:ArrayCollection = new ArrayCollection();
        public var selectedUser:UserVO;
        public var resultMessage:String;
        
		public function UserAccountsModelLocator(access:Private)
		{
			if (access == null)
			{
				throw new CairngormError( CairngormMessageCodes.SINGLETON_EXCEPTION, "UserAccountsModelLocator" );
			}
            instance = this;		
		}
		 
		/**
		 * Returns the Singleton instance of GoalManagerModelLocator
		 */
		public static function getInstance() : UserAccountsModelLocator
		{
			if (instance == null)
			{
				instance = new UserAccountsModelLocator( new Private );
			}
			return instance;
		}
	}
}

/**
 * Inner class which restricts contructor access to Private
 */
class Private {}

